#include <stdio.h>
#include <string.h>

int main() {
	int len,comma_count,i;
    char num[20]; // 假设正整数的最大长度为20位
    scanf("%s", num);

   	len = strlen(num);
	comma_count = len % 3 == 0 ? len / 3 - 1 : len / 3; // 计算逗号的个数

    for (i = 0; i < len; i++) {
        printf("%c", num[i]);
        if ((len - i - 1) % 3 == 0 && comma_count > 0) {
            printf(",");
            comma_count--;
        }
    }

    printf("\n");

    return 0;
}
